@file:Suppress("UNCHECKED_CAST", "USELESS_CAST", "INAPPLICABLE_JVM_NAME", "UNUSED_ANONYMOUS_PARAMETER", "SENSELESS_COMPARISON", "NAME_SHADOWING", "UNNECESSARY_NOT_NULL_ASSERTION")
package uni.UNIHelloUniAppX
import io.dcloud.uniapp.*
import io.dcloud.uniapp.extapi.*
import io.dcloud.uniapp.framework.*
import io.dcloud.uniapp.runtime.*
import io.dcloud.uniapp.vue.*
import io.dcloud.uniapp.vue.shared.*
import io.dcloud.unicloud.*
import io.dcloud.uts.*
import io.dcloud.uts.Map
import io.dcloud.uts.Set
import io.dcloud.uts.UTSAndroid
import kotlin.properties.Delegates
open class GenUniModulesUniFabButtonComponentsUniFabButtonUniFabButton : VueComponent {
    constructor(__ins: ComponentInternalInstance) : super(__ins) {}
    open var plusClass: Any? by `$props`
    companion object {
        @Suppress("UNUSED_PARAMETER", "UNUSED_VARIABLE")
        var setup: (__props: GenUniModulesUniFabButtonComponentsUniFabButtonUniFabButton) -> Any? = fun(__props): Any? {
            val __ins = getCurrentInstance()!!
            val _ctx = __ins.proxy as GenUniModulesUniFabButtonComponentsUniFabButtonUniFabButton
            val _cache = __ins.renderCache
            fun emit(event: String, vararg do_not_transform_spread: Any?) {
                __ins.emit(event, *do_not_transform_spread)
            }
            val handleClick = fun(){
                emit("click")
            }
            return fun(): Any? {
                return _cE("view", _uM("style" to _nS(_uM("align-items" to "center", "justify-content" to "center")), "class" to "fab", "onClick" to handleClick), _uA(
                    _cE("view", _uM("flatten" to "", "class" to _nC(_uA(
                        "plus",
                        _ctx.plusClass
                    )), "style" to _nS(_uM("position" to "absolute"))), null, 6),
                    _cE("view", _uM("flatten" to "", "class" to _nC(_uA(
                        "plus",
                        _ctx.plusClass
                    )), "style" to _nS(_uM("position" to "absolute", "transform" to "rotate(90deg)"))), null, 6)
                ), 4)
            }
        }
        val styles: Map<String, Map<String, Map<String, Any>>> by lazy {
            _nCS(_uA(
                styles0
            ))
        }
        val styles0: Map<String, Map<String, Map<String, Any>>>
            get() {
                return _uM("fab" to _pS(_uM("position" to "relative", "width" to 44, "height" to 44, "backgroundColor" to "#007AFF", "borderTopLeftRadius" to "50%", "borderTopRightRadius" to "50%", "borderBottomRightRadius" to "50%", "borderBottomLeftRadius" to "50%", "boxShadow" to "0 1px 5px 2px rgba(0, 0, 0, .3)")), "plus" to _pS(_uM("backgroundColor" to "#FFFFFF", "borderTopLeftRadius" to 2, "borderTopRightRadius" to 2, "borderBottomRightRadius" to 2, "borderBottomLeftRadius" to 2, "width" to "40%", "height" to 2)))
            }
        var inheritAttrs = true
        var inject: Map<String, Map<String, Any?>> = _uM()
        var emits: Map<String, Any?> = _uM("click" to null)
        var props = _nP(_uM("plusClass" to _uM("type" to null, "default" to "", "externalClasses" to true, "skipCheck" to true)))
        var propsNeedCastKeys = _uA(
            "plusClass"
        )
        var components: Map<String, CreateVueComponent> = _uM()
    }
}
